読者です 読者をやめる 読者になる 読者になる

MacPorts の git-core

openssh に依存しているみたいだけど、うちの環境だと openssh のビルドに失敗する。

upgrade だと openssh が勝手に依存関係でインストールされてしまうので、port edit git-core 開いて依存関係の部分をモロモロ削除してから install で入れ直し。openssh は OS デフォルトの物を使ってくれるので OK 。perl5.8 はモジュールで必要なだけなので perl5.10 が入っていればいらない、portfile は依存の記述で分岐出来ないので、入れるたびに自分で修正しないといけないのが面倒。

バッドノウハウっぽいのでみんなにおすすめする方法ではなさそう。